routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('nasabah')->group(function () {
    Route::get('/login', [App\Http\Controllers\Auth\AuthPelangganController::class, 'login'])->name('login.nasabah');
    Route::post('/login', [App\Http\Controllers\Auth\AuthPelangganController::class, 'postLogin'])->name('login.post.nasabah');
    Route::get('/register', [App\Http\Controllers\Auth\AuthPelangganController::class, 'register'])->name('register.nasabah');
    Route::post('/register', [App\Http\Controllers\Auth\AuthPelangganController::class, 'postRegister'])->name('register.post.nasabah');
    Route::post('/logout', [App\Http\Controllers\Auth\AuthPelangganController::class, 'logout'])->name('logout.nasabah');
});

Route::prefix('petugas')->group(function () {
    Route::get('/login', [App\Http\Controllers\Auth\AuthPetugasController::class, 'login'])->name('login.petugas');
    Route::post('/login', [App\Http\Controllers\Auth\AuthPetugasController::class, 'postLogin'])->name('login.post.petugas');
    Route::post('/logout', [App\Http\Controllers\Auth\AuthPetugasController::class, 'logout'])->name('logout.petugas');
});

Route::get('/', function () {
    return view('welcome');
});

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Auth::routes();
Route::resource('nasabahs', App\Http\Controllers\NasabahController::class);
Route::resource('petugas', App\Http\Controllers\PetugasController::class);
Route::resource('jenisSampahs', App\Http\Controllers\JenisSampahController::class);
Route::resource('bukuTabungans', App\Http\Controllers\BukuTabunganController::class);
Route::resource('setorans', App\Http\Controllers\SetoranController::class);
Route::resource('bayarJasas', App\Http\Controllers\BayarJasaController::class);
Route::resource('sampahs', App\Http\Controllers\SampahController::class);
Route::resource('sampahMasuks', App\Http\Controllers\SampahMasukController::class);
Route::prefix('setoran')->group(function () {
    Route::get('/', [App\Http\Controllers\SetoranController::class, 'index'])->name('setoran.index');
    Route::get('/create', [App\Http\Controllers\SetoranController::class, 'create'])->name('setoran.create');
    Route::post('/store', [App\Http\Controllers\SetoranController::class, 'store'])->name('setoran.store');
});
Route::prefix('bayarjasa')->group(function () {
    Route::get('/', [App\Http\Controllers\BayarJasaController::class, 'index'])->name('bayarjasa.index');
    Route::get('/create', [App\Http\Controllers\BayarJasaController::class, 'create'])->name('bayarjasa.create');
    Route::post('/store', [App\Http\Controllers\BayarJasaController::class, 'store'])->name('bayarjasa.store');
});

app/Http/Controllers/SampahMasukController.php
<?php

namespace App\Http\Controllers;

use App\Models\BukuTabungan;
use App\Models\Sampah;
use Illuminate\Http\Request;

class SampahMasukController extends Controller
{
    public function __construct()
    {
        $this->sampah = new Sampah();
    }
    /**
     * Display a listing of the Sampah.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var Sampah $sampahs */
        $sampahs = Sampah::all();
        $bukuTabungans  = BukuTabungan::all();

        return view('sampah_masuks.index',compact('sampahs','bukuTabungans'));

    }
}

resources/views/sampah_masuks/create.blade.php
@extends('layouts.app')
@section('title')
    Create Sampah 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading m-0">New Sampah</h3>
            <div class="filter-container section-header-breadcrumb row justify-content-md-end">
                <a href="{{ route('sampahs.index') }}" class="btn btn-primary">Back</a>
            </div>
        </div>
        <div class="content">
            @include('stisla-templates::common.errors')
            <div class="section-body">
               <div class="row">
                   <div class="col-lg-12">
                       <div class="card">
                           <div class="card-body ">
                                {!! Form::open(['route' => 'sampahs.store']) !!}
                                    <div class="row">
                                        @include('sampahs.fields')
                                    </div>
                                {!! Form::close() !!}
                           </div>
                       </div>
                   </div>
               </div>
            </div>
        </div>
    </section>
@endsection

resources/views/sampah_masuks/edit.blade.php
@extends('layouts.app')
@section('title')
    Edit Sampah 
@endsection
@section('content')
    <section class="section">
            <div class="section-header">
                <h3 class="page__heading m-0">Edit Sampah</h3>
                <div class="filter-container section-header-breadcrumb row justify-content-md-end">
                    <a href="{{ route('sampahs.index') }}"  class="btn btn-primary">Back</a>
                </div>
            </div>
  <div class="content">
              @include('stisla-templates::common.errors')
              <div class="section-body">
                 <div class="row">
                     <div class="col-lg-12">
                         <div class="card">
                             <div class="card-body ">
                                    {!! Form::model($sampah, ['route' => ['sampahs.update', $sampah->id], 'method' => 'patch']) !!}
                                        <div class="row">
                                            @include('sampahs.fields')
                                        </div>

                                    {!! Form::close() !!}
                            </div>
                         </div>
                    </div>
                 </div>
              </div>
   </div>
  </section>
@endsection

resources/views/sampah_masuks/fields.blade.php
<!-- Nama Field -->
<div class="form-group col-sm-6">
    {!! Form::label('nama', 'Nama:') !!}
    {!! Form::text('nama', null, ['class' => 'form-control','maxlength' => 255]) !!}
</div>
<div class="form-group col-sm-6">
    {!! Form::label('jenis_sampah_id', 'Jenis Sampah:') !!}
    {!! Form::select('jenis_sampah_id', $jenisSampahs, null, ['class' => 'form-control']) !!}
</div>

<!-- Satuan Field -->
<div class="form-group col-sm-6">
    {!! Form::label('satuan', 'Satuan:') !!}
    {!! Form::select('satuan', $satuans, null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('sampahs.index') }}" class="btn btn-light">Cancel</a>
</div>

resources/views/sampah_masuks/index.blade.php
@extends('layouts.app')
@section('title')
    Sampahs 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
            <h1>Sampahs</h1>
            <div class="section-header-breadcrumb">
                <a href="{{ route('sampahs.create')}}" class="btn btn-primary form-btn">Sampah <i class="fas fa-plus"></i></a>
            </div>
        </div>
    <div class="section-body">
       <div class="card">
            <div class="card-body">
                @include('sampahs.table')
            </div>
       </div>
   </div>
    
    </section>
@endsection

resources/views/sampah_masuks/show.blade.php
@extends('layouts.app')
@section('title')
    Sampah Details 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
        <h1>Sampah Details</h1>
        <div class="section-header-breadcrumb">
            <a href="{{ route('sampahs.index') }}"
                 class="btn btn-primary form-btn float-right">Back</a>
        </div>
      </div>
   @include('stisla-templates::common.errors')
    <div class="section-body">
           <div class="card">
            <div class="card-body">
                    @include('sampahs.show_fields')
            </div>
            </div>
    </div>
    </section>
@endsection

resources/views/sampah_masuks/show_fields.blade.php
<!-- Nama Field -->
<div class="form-group">
    {!! Form::label('nama', 'Nama:') !!}
    <p>{{ $sampah->nama }}</p>
</div>

<!-- Jenis Sampah Id Field -->
<div class="form-group">
    {!! Form::label('jenis_sampah_id', 'Jenis Sampah Id:') !!}
    <p>{{ $sampah->jenis_sampah_id }}</p>
</div>

<!-- Satuan Field -->
<div class="form-group">
    {!! Form::label('satuan', 'Satuan:') !!}
    <p>{{ $sampah->satuan }}</p>
</div>

resources/views/sampah_masuks/table.blade.php
<div class="table-responsive">
    <table class="table" id="sampahs-table">
        <thead>
            <tr>
                <th>Nama</th>
                <th>Jenis Sampah</th>
                <th>Satuan</th>
                <th colspan="3">Action</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($sampahs as $sampah)
                <tr>
                    <td>{{ $sampah->nama }}</td>
                    <td>{{ $sampah->jenis_sampah->nama }}</td>
                    <td>{{ $sampah->satuan }}</td>
                    <td class=" text-center">
                        {!! Form::open(['route' => ['sampahs.destroy', $sampah->id], 'method' => 'delete']) !!}
                        <div class='btn-group'>
                            <a href="{!! route('sampahs.show', [$sampah->id]) !!}" class='btn btn-light action-btn '><i
                                    class="fa fa-eye"></i></a>
                            <a href="{!! route('sampahs.edit', [$sampah->id]) !!}" class='btn btn-warning action-btn edit-btn'><i
                                    class="fa fa-edit"></i></a>
                            {!! Form::button('<i class="fa fa-trash"></i>', [
                                'type' => 'submit',
                                'class' => 'btn btn-danger action-btn delete-btn',
                                'onclick' => 'return confirm("Are you sure want to delete this record ?")',
                            ]) !!}
                        </div>
                        {!! Form::close() !!}
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>